package com.simuwang.daq.components.report.parser.py;

import com.simuwang.base.config.DaqProperties;
import com.simuwang.base.mapper.FundInfoMapper;
import com.simuwang.base.pojo.dto.report.ReportData;
import com.simuwang.base.pojo.dto.report.ReportParserParams;
import com.simuwang.daq.components.report.parser.ReportParser;

public abstract class AbstractPyReportParser<T extends ReportData> implements ReportParser<T> {
    private final DaqProperties properties;
    private final FundInfoMapper fundInfoMapper;

    public AbstractPyReportParser(DaqProperties properties, FundInfoMapper fundInfoMapper) {
        this.properties = properties;
        this.fundInfoMapper = fundInfoMapper;
    }

    @Override
    public T parse(ReportParserParams params) {
        return null;
    }
}
